SDL_mirwindow.h File Reference
`#include "../SDL_sysvideo.h"`
`#include "SDL_syswm.h"`
`#include "SDL_mirvideo.h"`
Include dependency graph for SDL_mirwindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | MIR_Window

## Functions

int | MIR_CreateWindow (_THIS, SDL_Window *window)
void | MIR_DestroyWindow (_THIS, SDL_Window *window)
void | MIR_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
void | MIR_MaximizeWindow (_THIS, SDL_Window *window)
void | MIR_MinimizeWindow (_THIS, SDL_Window *window)
void | MIR_RestoreWindow (_THIS, SDL_Window *window)
void | MIR_HideWindow (_THIS, SDL_Window *window)
SDL_bool | MIR_GetWindowWMInfo (_THIS, SDL_Window *window, SDL_SysWMinfo *info)
void | MIR_SetWindowSize (_THIS, SDL_Window *window)
void | MIR_SetWindowMinimumSize (_THIS, SDL_Window *window)
void | MIR_SetWindowMaximumSize (_THIS, SDL_Window *window)
void | MIR_SetWindowTitle (_THIS, SDL_Window *window)

## Function Documentation

int MIR_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

SDL_bool MIR_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_SysWMinfo * | info
| ) |  |

void MIR_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

void MIR_SetWindowMaximumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_SetWindowMinimumSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void MIR_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |